/*
 * MCS Media Computer Software Copyright (c) 2006 by MCS
 * -------------------------------------- Created on 21.09.2006 by w.klaas
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
/**
 * 
 */
package de.mcs.utils;

import junit.framework.TestCase;

/**
 * @author w.klaas
 * 
 */
public class TstStringUtils extends TestCase {

  /**
   * Test method for
   * {@link de.mcs.utils.StringUtils#md5String(java.lang.String)}.
   */
  public void testMd5String() {
    String data = "Das ist das Haus vom Nikolaus";
    String md5 = StringFormat.md5String(data);
    assertNotNull(md5);
    System.out.println(md5);
  }

  /**
   * Test method for
   * {@link de.mcs.utils.StringUtils#md5String(java.lang.String)}.
   */
  public void testShaString() {
    String data = "Das ist das Haus vom Nikolaus";
    String sha = StringFormat.shaString(data);
    assertNotNull(sha);
    System.out.println(sha);
  }

  /**
   * Test method for
   * {@link de.mcs.utils.StringUtils#md5StringBytes(java.lang.String)}.
   */
  public void testMd5StringBytes() {
    String data = "Das ist das Haus vom Nikolaus";
    byte[] md5 = StringUtils.md5StringBytes(data);
    assertNotNull(md5);
    System.out.println(md5);
  }

  public void testCsvToArray() {
    String test = "de=neu,\"en=haste \"\"nicht\",gesehen\",\"default=murks\"";
    String[] csvStringToArray = StringUtils.csvStringToArray(test, ',', '"');
    System.out.println(csvStringToArray.length);
    for (String string : csvStringToArray) {
      System.out.println(string);
    }
  }

}
